Bug 123655

Summary: Gnome leaves processes running at logout
Product: [Fedora] Fedora Reporter: Nils O. Selåsdal <nos>
Component: gnome-sessionAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 2CC: barryn, gharris, jval, mattdm, pza
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-11 17:33:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nils O. Selåsdal 2004-05-19 16:54:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
Not sure if gnome-session is the right component, but gnome leaves
atleast gnome-keyring-daemon and bonobo-activation-server running
after a logout. 
Seems unnessesary. (Think schools, public libraries etc. filled with
those for every usre logged in.) 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log in to gnome 
2. Log out of gnome (Log Out, or ctrl+alt+backspace)
3. Switch to a console, do ps auxwww
    

Actual Results:  "session"/gnome related processes are left running.
seen gnome-keyring-daemon and bonobo-activation-server not beeing
killed so far.

Expected Results:  Should be killed

Additional info:
Comment 1 Gregory Harris 2004-05-25 22:50:37 EDT
I'm having the same issue.  Bonobo is ALWAYS running after someone
logs out.  In fact, a lot of times when I login it says gnome-panel is
already running.  I then try to kill the process using every SIGxxx
under the sun to no avail, it just sits there as a defunct process. 
The only way to solve this problem is to reboot the computer.  I
certainly cannot deploy this on all of the machines in our computer
lab until it is fixed.
Comment 2 Nils O. Selåsdal 2004-05-26 03:52:40 EDT
I can atleast kill bonobo-activation-server. Does it have a parent != 0
that you can kill ? (or a parent pid that actually does not exist, which
I have a feeling is another bug in FC2).
Btw, I see evolution-wombat also running after logging out.

Comment 3 Gregory Harris 2004-06-02 21:16:15 EDT
The processes are causing the machine to hang when the automount 
daemon tries to unmount the NFS user home directories.  This is 
because the process is in that user name, (which keeps the user's 
home directory mounted).  / isn't being unmounted either because it 
is busy.  I think what is happening is one of the underlying gnome 
process (in this case probably bonobo) is causing the processes that 
use it to hang also. (like gnome-keyring and evolution-wombat)
Comment 4 Gregory Harris 2004-07-07 12:03:44 EDT
I did more research on this and this turns out to be a problem with
libbonobo.  The GNOME team says this is fixed in libbonobo >= 2.6.1.

Any ideas when RPMS might be available for this package, and all its
dependencies?  (probably all of gnome >= 2.6.1).

I consider this an urgent issue as if you are using autofs like I am,
every fedora core 2 machine you are running is going to leave mounts
open for every user that logs into the machines... think about lab
machines, If you have 100 lab users, you're going to have 100 open
bonobo processes left there, and 100 NFS mounts that won't go away
because the processes are left there!
Comment 5 Gregory Harris 2004-07-29 20:02:52 EDT
Ray,

Would you please post an RPM of libbonobo >= 2.6.1 to the updates 
tree so we can close this bug?  Thanks.
Comment 6 Ray Strode [halfline] 2004-07-30 00:24:01 EDT
Hi Gregory,

I'll be happy to push an updated version of libbonobo into updates.

For reference, the relevent upstream bug is: 

http://bugzilla.gnome.org/show_bug.cgi?id=139500

Note that gnome-keyring-daemon doesn't use bonobo-activation-server,
however, so pushing an updated libbonobo rpm probably won't be a
complete solution to the problem.
Comment 7 Phil Anderson 2004-08-08 07:47:30 EDT
Before applying this update, I had never had any session problems (a
few processes were often left behind, but they didn't cause problems).
 Since applying the update, I'm having all sorts of problems with
users sessions leaving behind files, gconf not working, etc.  All can
be fixed with pkill -u USERNAME.

I have rolled back to the version of libbonobo from the FC2 release,
and all the problems have gone.

Anyone else experiencing this?
Comment 8 Matthew Miller 2005-04-26 11:56:20 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Ray Strode [halfline] 2005-05-11 17:33:02 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.
Comment 10 Jarkko 2009-09-17 04:39:08 EDT
These bugs are probably the same issue: bug #139999 and bug #281471

Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=534485